Bug 430500 - split .mdb off into -debuginfo
split .mdb off into -debuginfo
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 09:53 EST by Matthias Clasen
Modified: 2016-04-20 08:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (4.95 KB, patch)
2008-02-02 23:44 EST, Matthias Clasen
no flags Details | Diff
Support looking in /usr/lib/debug for .mdb files (1005 bytes, patch)
2008-03-03 23:29 EST, Jeremy Katz
no flags Details | Diff
Move .mdb files to live under /usr/lib/debug (714 bytes, patch)
2008-03-03 23:29 EST, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2008-01-28 09:53:46 EST
The .mdb files are just debuginfo, so there is no good reason why they should
blow up the mono package to almost twice its size on the live cd.

Please move them to a separate -debuginfo package.
Comment 1 Matthias Clasen 2008-02-02 23:43:55 EST
I couldn't figure out how to add the .mdb files to -debuginfo without loosing
the regular debuginfo, therefore I stuffed them in a separate mono-mdb subpackage.
Comment 2 Matthias Clasen 2008-02-02 23:44:40 EST
Created attachment 293825 [details]
patch
Comment 3 Jeremy Katz 2008-03-03 23:28:57 EST
Doing this just in the mono package only gets the first level offenders.  This
should probably be done on a more general level in rpm.  Tagging the files and
including them in -debuginfo is easy enough, but it's not really feasible to do
the excludes automatically.  So a little bit of pondering later and I've got a
trivial patch to mono-debugger that makes it look in /usr/lib/debug and falling
back to looking where it does now.

Patches to both find-debuginfo.sh and mono-debugger attached
Comment 4 Jeremy Katz 2008-03-03 23:29:25 EST
Created attachment 296700 [details]
Support looking in /usr/lib/debug for .mdb files
Comment 5 Jeremy Katz 2008-03-03 23:29:45 EST
Created attachment 296701 [details]
Move .mdb files to live under /usr/lib/debug
Comment 6 Jeremy Katz 2008-03-03 23:37:14 EST
And sticking on the blocker list, as we should really do something about this. 
Beyond the "it's the right thing to do" argument, it'll also help us quite a bit
with space on the livecd (it looks like it saves 29 megs on the installed system
and that compresses down to about 10)
Comment 7 Matthias Clasen 2008-03-04 01:00:40 EST
Nice
Comment 8 Jesse Keating 2008-04-01 16:42:44 EDT
Xavier, can you get to this soon, or else Jeremy I think we should just commit
it and be done with it for Fedora 9.
Comment 9 Matthias Clasen 2008-04-05 10:46:18 EDT
Any update on this ? Would be really good to get this done by Tuesday
Comment 10 Jeremy Katz 2008-04-07 23:17:28 EDT
We pulled the mono bits off of the livecd and I don't know that this actually
gets us enough space back.  Moving to F10
Comment 11 Xavier Lamien 2008-04-08 12:05:57 EDT
Patch added on mono-debugger-0.60.
some works need to be done before available in repo, failing on missing file
from devel branch.
Comment 12 Bug Zapper 2008-05-14 00:54:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matthias Clasen 2008-09-13 20:56:36 EDT
What is the status of this ?
Comment 14 Paul F. Johnson 2008-09-14 08:50:43 EDT
I know mono-debugger 2.0 RC 1 has the patch in there. The problem really comes down (AFAICS) to the packaging of mono and debuginfo (as seen in #2 and possibly fixed in #3). Mono's debug symbols are not recognised as the normal debug symbols so they're not picked up on when the debug package is created.

As suggested though, if *all* mono packages (and subpackages) are built with debug enabled and then %{name}=debuginfo created by the packager, then this should move things along a bit.
Comment 15 Paul F. Johnson 2008-09-14 08:51:18 EDT
It's worth noting that monodebugger-2.0 is not yet in rawhide.
Comment 16 John Poelstra 2008-09-26 23:41:00 EDT
adding FutureFeature so this bug does not get moved to version "10" at GA
Comment 17 Matthias Clasen 2008-10-15 17:20:46 EDT
Not really a blocker, since the live cd fits anyway.
Comment 18 David Nielsen 2009-02-25 09:10:53 EST
Mono-debugger 2.4-pre is in Rawhide and 2.2 is in F10. F9 appears to still have 0.60. Which means we are good, I think. Paul?
Comment 19 Toshio Ernie Kuratomi 2009-04-13 21:35:30 EDT
The remaining patch is to update find-debuginfo.sh to recognize the *.mdb files as debuginfo and pull them into their own space.

Panu, Jeremy, any reason we shouldn't target this against rpm-build, apply it, and be done?
Comment 20 Paul F. Johnson 2009-04-14 02:55:43 EDT
No problems from this end.
Comment 21 Toshio Ernie Kuratomi 2009-04-17 15:33:09 EDT
Jeremy tells me on IRC that he vaguely recalls some corner cases that may not work.  Paul, could you apply the find-debuginfo patches to your local rpm and do some rebuilds of mono packages to see if you can find out what problems arise?
Comment 22 Jeremy Katz 2009-04-17 15:41:07 EDT
And I'll try to dig into the recesses of my memory (by which I mean, go back and play with it again) and see if I can recreate whatever the problem was.  But it'll be sometime next week before I have a chance
Comment 23 Michel Alexandre Salim 2009-09-05 19:01:20 EDT
I'm going to push a Mono update for F-11, synchronizing it with Rawhide's mono 2.4.2.3, and currently MDB files are still being shipped with the -core RPM. What's the status of the find-debuginfo.sh work? I'll probably push the update out anyway, unless we can land the debugging changes soon-ish.

Note You need to log in before you can comment on or make changes to this bug.